/* SerialToVM: Interface between RS-232 and SEGA Dreamcast VM */
/* Implements several systemdependant low-lovel routines */
/* This file is for AmigaOS */

/* $Id: lowlevel_amiga.h,v 1.3 2000/03/17 14:05:32 sgust Exp $ */

/*******************************************************************
Copyright (C) 2000 by Soeren Gust, sgust@ithh.infoserv.de

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

You can get the latest Version from http://soeren.infoserv.de
********************************************************************/

/* filetype for serial interface */
struct amigaserial {
	struct MsgPort *serialport;
	struct IOExtSer *serialio;
	int serialopen;
	struct MsgPort *timerport;
	struct timerequest *timerio;
	int timeropen;
};

typedef struct amigaserial *serial_t;
